Skip to main content
PATCH
/
clients
/
{id}
Update client
curl --request PATCH \
  --url https://api.gospott.com/clients/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "status": "lead",
  "company": {
    "domain": "<string>",
    "industry": "Accessible Architecture and Design",
    "size": "1 employee",
    "name": "<string>",
    "linkedinId": "<string>",
    "description": "<string>"
  },
  "stageId": "<string>"
}
'

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Body

application/json
status
enum<string> | null
Available options:
lead,
prospect,
customer,
lost_customer,
blacklisted
company
object

Update the client's company properties. You can only update properties for non Spott-managed companies.

stageId
string

Response

Client updated successfully